Download it now!
Bug 78882 - FILESAVE: Corrupt : File gets corrupt after Roudtrip.
Summary: FILESAVE: Corrupt : File gets corrupt after Roudtrip.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: All All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-19 06:50 UTC by pallavi.jadhav
Modified: 2014-05-26 13:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
An Anchored object and Section break before it. Page no : 9 (52.71 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-19 06:50 UTC, pallavi.jadhav
Details
Roundtripped document after fix; still corrupt in Word 2013 (26.47 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-25 21:03 UTC, Jorendc
Details
Roudtripped document on windows build after fix; opened in MS Office-2010 (36.22 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-26 10:28 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-05-19 06:50:36 UTC
Created attachment 99297 [details]
An Anchored object and Section break before it. Page no : 9

Problem description: 

Steps to reproduce:
1] Open attached file in LO 
2] Perform save_as to DOCX 
3] Open saved file in MS Office-2010

Current behavior:
File gets corrupt after RT.

Expected behavior:
File should get open in MS Office-2010 successfully.

              
Operating System: Debian
Version: 4.3.0.0.alpha1
Comment 1 Jorendc 2014-05-20 17:28:34 UTC
Repro, Version: 4.3.0.0.alpha1+
Build ID: cd11bc699ac50af4f560ed5f2e5e7903de0898b8
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-05-20_08:02:54
Comment 2 Commit Notification 2014-05-23 06:33:53 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70f49dc6927f3321e764174bd8050acaff63be32

fdo#78882: DOCX: File gets corrupt after Roundtrip



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-05-25 21:03:23 UTC
Still corrupted if RTed.

Tested using Windows 8.1 with LibreOffice Version: 4.4.0.0.alpha0+
Build ID: 16ba360f2a526654cedfcd4cda230442c3a8a522
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-25_07:43:52
Comment 4 Jorendc 2014-05-25 21:03:46 UTC
Created attachment 99802 [details]
Roundtripped document after fix; still corrupt in Word 2013
Comment 5 pallavi.jadhav 2014-05-26 10:26:12 UTC
- I RTed the attached document on Windows build.
  Version: 4.4.0.0.alpha0+
  Build ID: dc91ebed1a3b0ef900b1bb5cf203c6a9aeb83016
  TinderBox: Win-x86@42, Branch:master, Time: 2014-05-26_01:38:23
- It's opening without corruption on MS Office 2010.
Comment 6 pallavi.jadhav 2014-05-26 10:28:26 UTC
Created attachment 99857 [details]
Roudtripped document on windows build after fix; opened in MS Office-2010
Comment 7 Jorendc 2014-05-26 13:09:11 UTC
Mh, strange. If I open your roundtripped document, there is no corruption anymore. Lets mark it indeed as RESOLVED FIXED ;-). THanks